#ifndef _UPDATEMSG_H_
#define _UPDATEMSG_H_

#include <util/message.h>
#include <vector>

#include "queuenode.h"	/* For the status enums. TODO: move the enums to messages.h or similar? */


typedef struct QueueItem_s
{
	int nID;				/**< ID number of the corresponging transfer */
	int eType;				/**< Type of transfer; either NODE_DOWNLOAD or NODE_UPLOAD */
	int eStatus;			/**< Status of tranfer; either NODE_QUEUED or NODE_RUNNING */
	String zRemotePath;		/**< Remote path of the file, relative to ftp server root */
	String zLocalPath;		/**< Local path of the file */
	ssize_t nTotalDownload;	/**< Total bytes downloaded so far (0 for uploads) */
	ssize_t nTotalUpload;	/**< Total bytes uploaded so far (0 for uploads) */
	ssize_t nTotalSize;		/**< Total size in bytes of the file */
} QueueItem;


#endif /* _UPDATEMSG_H_ */


