#ifndef MESSAGES_H
#define MESSAGES_H

//#define DEBUG_PW

enum
{
	/* GUI messages from menus, etc */
	M_APP_QUIT,
	M_APP_ABOUT,
	M_CONNECT,
	M_QUEUE_NODES_UPDATED,
	M_LOCAL_PATH_BAR_INVOKED,
	M_REMOTE_PATH_BAR_INVOKED,
	M_LOCAL_DIR_CHANGED,
	M_REMOTE_DIR_CHANGED,
	M_SETTINGS_MENU,
	M_SETTINGS_PASSIVE,
	M_SETTINGS_MAX_CONNECTIONS_MENU,
	M_SETTINGS_MAX_CONNECTIONS,
	M_SETTINGS_SAVE_HISTORY,
	M_SETTINGS_DEBUG_MODE,
	
	/* Remote view context menu actions */
	M_REMOTE_MKDIR = 50,
	M_REMOTE_DELETE,
	M_REMOTE_RENAME,
	M_REMOTE_MOVE,
	
	/* Messages from confirmation dialogs, etc */
	M_DELETE_CONFIRMED = 75,
	M_MKDIR_CONFIRMED,
	M_RENAME_CONFIRMED,
	
	/* Sent to the remote view when dirlisting data is availble */
	M_REMOTE_DIRLISTING = 100,
	
	/* Messages sent to the transfer thread */
	M_TT_CLOSE = 500,
	M_TT_ADD,
	M_TT_PAUSE,
	M_TT_RESUME,
	M_TT_CANCEL,
	M_TT_DELETE,
	M_TT_RMDIR,
	M_TT_MKDIR,
	M_TT_RENAME,
	
	/* Messages sent between Progress Window and Main Window */
	M_PW_UPDATE = 600,	/**< Message for updating the current downloads. */
	M_PW_PAUSE,			/**< Message for pausing a specific download. */
	M_PW_RESUME,		/**< Message for resuming a specific download. */
	M_PW_CANCEL			/**< Message for canceling a specific download. */
	
};

#endif
