#ifndef REQUESTERS_H
#define REQUESTERS_H

#include <gui/window.h>
#include <gui/textview.h>

#include <vector>

#include "remotenode.h"

using namespace os;

class RenameRequester : public Window
{
public:
	RenameRequester( const String& zOldPath, Handler* pcTarget );
	~RenameRequester();
	
	void HandleMessage( Message* pcMessage );
private:
	Handler* m_pcTarget;
	String m_zOldPath;
	
	TextView* m_pcTextView;
};

class DeleteConfirmDialog : public Window
{
public:
	DeleteConfirmDialog( std::vector< RemoteNode >* pacNodes, Handler* pcTarget );	
	~DeleteConfirmDialog();

	void HandleMessage( Message* pcMessage );
private:
	Handler* m_pcTarget;
	std::vector< RemoteNode >* m_pacNodes;
};

class MkDirRequester : public Window
{
public:
	MkDirRequester( const String& zBasePath, Handler* pcTarget );
	~MkDirRequester();

	void HandleMessage( Message* pcMessage );
private:
	Handler* m_pcTarget;
	String m_zBasePath;
	
	TextView* m_pcTextView;
};


#endif	/* REQUESTERS_H */

